%global _empty_manifest_terminate_build 0
Name:		python-zeroconf
Version:	0.132.2
Release:	1
Summary:	Pure Python Multicast DNS Service Discovery Library (Bonjour/Avahi compatible)
License:	LGPL-2.1-only
URL:		https://github.com/jstasiak/python-zeroconf
Source0:	https://files.pythonhosted.org/packages/24/7d/02e8c583b57692eee495e60c7a4dd862635a9702067d69c6dd1c907cb589/zeroconf-0.132.2.tar.gz	
BuildArch:	noarch

Requires:	python3-async-timeout
Requires:	python3-ifaddr

%description
Pure Python Multicast DNS Service Discovery Library (Bonjour/Avahi compatible)

%package -n python3-zeroconf
Summary:	Pure Python Multicast DNS Service Discovery Library (Bonjour/Avahi compatible)
Provides:	python-zeroconf = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-ifaddr
BuildRequires:  python3-async-timeout
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-cov
%description -n python3-zeroconf
Pure Python Multicast DNS Service Discovery Library (Bonjour/Avahi compatible)

%package help
Summary:	Development documents and examples for zeroconf
Provides:	python3-zeroconf-doc
%description help
Pure Python Multicast DNS Service Discovery Library (Bonjour/Avahi compatible)

%prep
%autosetup -n zeroconf-%{version} -p1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
export PYTHONPATH=%{buildroot}%{python3_sitelib}
pytest -v -k 'not test_integration_with_listener_ipv6'

%files -n python3-zeroconf -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu May 09 2024 tenglei <tenglei@kylinos.cn> - 0.132.2-1
- Update package to version 0.132.2
- Update references to minimum-supported python version of 3.8
- Bump cibuildwheel to fix wheel builds

* Mon Dec 25 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 0.131.0-1
- Update package to version 0.131.0

* Mon Jul 10 2023 chenzixuan <chenzixuan@kylinos.cn> - 0.71.0-1
- Update package to version 0.71.0

* Fri Jul 07 2023 yaoxin <yao_xin001@hoperun.com> - 0.64.1-2
- Modify the testing method to fix build errors

* Tue Jun 06 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 0.64.1-1
- Update package to version 0.64.1

* Mon Feb 27 2023 wubijie <wubijie@kylinos.cn> - 0.47.3-1
- Update package to version 0.47.3

* Wed Feb 8 2023 wubijie <wubijie@kylinos.cn> - 0.47.1-1
- Update package to version 0.47.1

* Wed Dec 07 2022 dingdingaaaaa <dingziwei@kylinos.cn> - 0.39.4-1
- Upgrade version to 0.39.4

* Mon Oct 24 2022 liqiuyu <liqiuyu@kylinos.cn> - 0.39.2-1
- Upgrade package to version 0.39.2

* Tue May 31 2022 OpenStack_SIG <openstack@openeuler.org> - 0.38.3-1
- Upgrade package python3-zeroconf to version 0.38.3

* Wed Jul 14 2021 OpenStack_SIG <openstack@openeuler.org> - 0.28.8-1
- Upgrade to version 0.28.8

* Wed Nov 25 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated

